Name:           heyu
Version:        2.11
Release:        0.1rc1%{?dist}
Summary:        X10 Automation for Linux, Unix, and Mac OS X

Group:          Applications/Communications
License:        GPLv3
URL:            http://www.heyu.org
Source0:        http://www.heyu.org/download/%{name}-%{version}-rc1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
HEYU is a text-based console program for remotely controlling lights and
appliances in the home or office.   It is made available under a free and open
source license.

Heyu uses the CM11A computer interface to send and receive X10 control signals
over the AC power lines to modules which can turn On, Off, or Dim attached
lamps or appliances.   It can store a schedule of timed events in the CM11A
memory for execution when the computer is turned off or disconnected.


%prep
%setup -q -n %{name}-%{version}-rc1


%build
%{configure}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/INSTALL
mkdir -p $RPM_BUILD_ROOT%{_tmppath}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_tmppath}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/x10*


%changelog
* Sun Dec 02 2012 <stahnma@fedoraproject.org> - 2.11-0.1rc1
- Initial packaging
